Package com.ads.api.util

# Class BusinessGlossaryUtil

java.lang.Object
com.ads.api.util.BaseUtil
com.ads.api.util.BusinessGlossaryUtil

public class BusinessGlossaryUtil extends com.ads.api.util.BaseUtil
Contains the methods related to perform the operations such as creation, update, deletion and retrieval of Catalogs, AssetTypes, Business Objects etc.

RequestStatus return type methods will result in being returned as either true or false as its status.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.util.BaseUtil

  `com.ads.api.util.BaseUtil.TokenType`

- ## Field Summary

  ### Fields inherited from class com.ads.api.util.BaseUtil

  `AUTH_TOKEN, AUTH_TOKEN_TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestStatus`
  `createAssetType(AssetType assetType)`
  Creates the assetType for the given assetType object.
  `String`
  `createAssetTypeAs(String assetType, String outputFormat)`
  Creates the assetType for the given assetType object in the form of JSON.
  `RequestStatus`
  `createCatalog(Catalog catalog)`
  Creates the catalog for the given input (catalog) object.
  `String`
  `createCatalogAs(String catalog, String outputFormat)`
  Creates the catalog for the given catalog object i.e in the form of JSON.
  `RequestStatus`
  `createCatalogs(List<Catalog> catalogs, int fillOptions)`
  Creates the list of catalogs for the given catalog objects list.
  `String`
  `createCatalogsAs(String catalogs, int fillOptions, String outputFormat)`
  Creates the list of catalogs for the given catalog objects list.
  `RequestStatus`
  `createObject(BusinessObject businessObject)`
  Creates the businessObject for the given input object(businessObject).
  `RequestStatus`
  `createObject(Node.NodeType nodeType, BusinessObject businessObject)`
  Creates the businessObject for the given input object(businessObject) and nodeType.
  `String`
  `createObjectAs(String nodeType, String businessObject, String outputFormat)`
  Creates the businessObject for the given input object(businessObject).
  `RequestStatus`
  `createObjects(Node.NodeType nodeType, List<BusinessObject> businessObjects)`
  Creates the businessObjects for the given input objects(businessObjects list) and nodeType.
  `String`
  `createObjectsAs(String nodeType, String businessObjects, String outputFormat)`
  Creates the businessObjects for the given input objects(businessObjects list).
  `RequestStatus`
  `deleteAssetType(int assetTypeId)`
  Deletes the assetType for the specified id.Specifying the assetTypeId is mandatory to delete a particular assetType.
  `RequestStatus`
  `deleteAssetType(AssetType assetType)`
  Deletes the assetType for the specified assetType object.
  `String`
  `deleteAssetTypeAs(int assetTypeId, String outputFormat)`
  Deletes the assetType with the specified assetTypeId.
  `String`
  `deleteAssetTypeAs(String assetType, String outputFormat)`
  Deletes the assetType for the specified assetType object.
  `RequestStatus`
  `deleteCatalog(int catalogId)`
  Deletes the catalog with the specified catalogId.
  `String`
  `deleteCatalogAs(int catalogId, String outputFormat)`
  Deletes the catalog with the specified catalogId.
  `RequestStatus`
  `deleteObject(BusinessObject businessObject)`
  Deletes the businessObject for the specified input object(businessObject).
  `RequestStatus`
  `deleteObject(Node.NodeType nodeType, int businessObjectId)`
  Deletes the businessObject for the specified businessObjectId and nodeType.
  `String`
  `deleteObjectAs(String nodeType, int businessObjectId, String outputFormat)`
  Deletes the businessObject for the specified businessObjectId and nodeType.Specifying the businessObjectId and nodeType are mandatory to delete a particular businessObject.
  `RequestStatus`
  `deleteObjects(Node.NodeType nodeType, int catalogId)`
  Deletes the businessObjects for the specified catalogId and nodeType.
  `RequestStatus`
  `deleteObjects(Node.NodeType nodeType, List<Integer> businessObjectIds)`
  Deletes the businessObjects for the specified list of businessObjectIds and nodeType.
  `RequestStatus`
  `deleteObjects(String assetName, String catalogPath)`
  Deletes the businessObjects for the specified assetName and catalogPath.
  `String`
  `deleteObjectsAs(String nodeType, String businessObjectIds, String outputFormat)`
  Deletes the businessObjects for the specified list of businessObjectIds and nodeType.Specifying the businessObjectIds list and nodeType are mandatory to delete businessObjects.
  `String`
  `deleteObjectsByAssetAs(String assetName, String catalogPath, String outputFormat)`
  Deletes the businessObjects for the specified assetName and catalogPath.
  `String`
  `deleteObjectsByCatalogAs(String nodeType, int catalogId, String outputFormat)`
  Deletes the businessObjects for the specified catalogId and nodeType.
  `RequestStatus`
  `exportCatalog(int catalogId)`
  BusinessObjects are exported to excel for the specified catalogId.
  `RequestStatus`
  `exportCatalog(String assetName, String catalogPath)`
  BusinessObjects are exported to excel for the specified assetName and catalogPath.
  `String`
  `exportCatalogAs(int catalogId, String outputFormat)`
  BusinessObjects are exported to excel for the specified catalogId.
  `String`
  `exportCatalogByAssetAs(String assetName, String catalogPath, String outputFormat)`
  BusinessObjects are exported to excel for the specified assetName and catalogPath.
  `String`
  `geObjectIdByAssetAs(String assetName, String catalogPath, String businessObjectName, String outputFormat)`
  Returns the id of businessObject for the specified assetName, catalogPath and businessObjectName.
  `List<AssetType>`
  `getAllAssetTypes()`
  Returns the list of all asstetType objects present in Business Glossary module.
  `String`
  `getAllAssetTypesAs(String outputFormat)`
  Returns the list of all asstetType objects present in the BusinessGlossary module in the form of JSON or XML.
  `List<Catalog>`
  `getAllCatalogs(int fillOptions)`
  Returns the list of all catalog objects present in the BusinessGlossary module.
  `String`
  `getAllCatalogsAs(int fillOptions, String outputFormat)`
  Returns the list of all catalog objects present in the Business Glossary module in the form of JSON or XML.
  `AssetType`
  `getAssetType(int assetTypeId)`
  Returns the assetType object for the specified assetTypeId.
  `AssetType`
  `getAssetType(String name)`
  Returns the assetType object for the specified name.
  `String`
  `getAssetTypeAs(int assetTypeId, String outputFormat)`
  Returns the assetType object in the form of JSON for the specified assetTypeId.
  `String`
  `getAssetTypeByNameAs(String name, String outputFormat)`
  Returns the assetType object in the form of JSON for the specified assetName.
  `List<AssetType>`
  `getAssetTypes(List<Integer> assetTypeIds)`
  Returns the List objects for the specified list of assetTypeIds.
  `String`
  `getAssetTypesAs(String assetTypeIds, String outputFormat)`
  Returns the list of asstetType objects in the form of JSON for the given assetIds.
  `List<AssetType>`
  `getAssetTypesByNames(List<String> assetNames)`
  Returns the List objects for the specified assetTypeNames.
  `String`
  `getAssetTypesByNamesAs(String assetTypeNames, String outputFormat)`
  Returns the list of asstetType objects in the form of JSON for the given assetTypeNames.
  `Catalog`
  `getCatalog(int catalogId)`
  Returns the catalog object for the specified catalogId.
  `Catalog`
  `getCatalog(int objectTypeId, int parentCatalogId, String name)`
  Returns the catalog object for the specified catalogName and parentCatalogId.
  `String`
  `getCatalogAs(int catalogId, String outputFormat)`
  Returns the catalog object in the form of JSON for the specified catalogId.
  `String`
  `getCatalogAs(String objectType, int parentCatalogId, String name, String outputFormat)`
  Returns the catalog object in the form of JSON for the specified objectType, catalogName and parentcatalogId.
  `int`
  `getCatalogId(int objectTypeId, String catalogPath)`
  Returns the catalogId for the specified objectTypeId and catalogPath.
  `String`
  `getCatalogIdAs(String objectType, String catalogPath, String outputFormat)`
  Returns the catalogId for the specified objectType and catalogPath.
  `String`
  `getCatalogPath(int objectTypeId, int catalogId)`
  Returns the catalog path for the specified objectTypeId and catalogId.
  `String`
  `getCatalogPathAs(String objectType, int catalogId, String outputFormat)`
  Returns the catalog path for the specified objectType and catalogId.
  `List<Catalog>`
  `getCatalogs(int parentCatalogId)`
  Returns the List objects for the specified parentCatalogId.
  `List<Catalog>`
  `getCatalogs(int parentCatalogId, int fillOptions)`
  Returns the list of catalog objects for the specified parentCatalogId and fillOptions.
  `List<Catalog>`
  `getCatalogs(List<Integer> catalogIds)`
  Returns the List objects for the specified catalogIds.
  `List<Catalog>`
  `getCatalogs(List<Integer> catalogIds, int fillOptions)`
  Returns the list of catalog objects for the specified catalogIds and fillOptions.
  `String`
  `getCatalogsAs(int parentCatalogId, int fillOptions, String outputFormat)`
  Returns the list of catalog objects in the form of JSON for the given parentCatalogId.
  `String`
  `getCatalogsAs(int parentCatalogId, String outputFormat)`
  Returns the list of catalog objects in the form of JSON for the specified parentcatalogId.
  `String`
  `getCatalogsAs(String catalogIds, int fillOptions, String outputFormat)`
  Returns the list of catalog objects in the form of JSON for the given catalogIds.
  `String`
  `getCatalogsAs(String catalogIds, String outputFormat)`
  Returns the list of catalog objects in the form of JSON for the given catalogIds.
  `List<Catalog>`
  `getCatalogsByAssetType(String assetTypeName, int fillOptions)`
  Returns the list of catalog objects for the specified assetTypeName and fillExtendedProperties.
  `String`
  `getCatalogsByAssetTypeAs(String assetTypeName, int fillOptions, String outputFormat)`
  Returns the list of catalog objects in the form of JSON for the specified assetTypeId and fillOptions.
  `List<Catalog>`
  `getCatalogsByAssetTypeId(int assetTypeId, int fillOptions)`
  Returns the list of catalog objects for the specified assetTypeId and fillExtendedProperties.
  `String`
  `getCatalogsByAssetTypeIdAs(int assetTypeId, int fillOptions, String outputFormat)`
  Returns the list of catalog objects in the form of JSON for the specified assetTypeId and fillOptions.
  `BusinessObject`
  `getObject(Node.NodeType nodeType, int businessObjectId)`
  Returns the businessObject for the specified businessObjectId and nodeType.
  `String`
  `getObjectAs(String nodeType, int businessOjectId, String outputFormat)`
  Returns the businessObject for the specified businessObjectId and nodeType.
  `int`
  `getObjectId(Node.NodeType nodeType, int catalogId, String businessObjectName)`
  Returns the id of businessObject for the specified catalogId, nodeType and businessObjectName.
  `int`
  `getObjectId(String assetName, String catalogPath, String businessObjectName)`
  Returns the id of businessObject for the specified assetName, catalogPath and businessObjectName.
  `String`
  `getObjectIdAs(String nodeType, int catalogId, String businessObjectName, String outputFormat)`
  Returns the id of businessObject for the specified catalogId, nodeType and businessObjectName.
  `String`
  `getObjectName(Node.NodeType nodeType, int businessObjectId)`
  Returns the name of businessObject for the specified nodeType and businessObjectId.
  `String`
  `getObjectNameAs(String nodeType, int businessObjectId, String outputFormat)`
  Returns the name of businessObject for the specified nodeType and businessObjectId.
  `List<BusinessObject>`
  `getObjects(Node.NodeType nodeType, int catalogId)`
  Returns the list of businessObjects for the specified catalogId and nodeType.
  `List<BusinessObject>`
  `getObjects(Node.NodeType nodeType, List<Integer> businessObjectIds)`
  Returns the list of businessObjects for the specified list of businessObjectIds and nodeType.
  `List<BusinessObject>`
  `getObjects(String assetName, String catalogPath)`
  Returns the list of businessObjects for the specified catalogPath and assetName.
  `String`
  `getObjectsAs(String nodeType, String businessObjectIds, String outputFormat)`
  Returns the list of businessObjects for the specified list of businessObjectIds and nodeType.
  `String`
  `getObjectsByAssetAs(String assetName, String catalogPath, String outputFormat)`
  Returns the list of businessObjects for the specified catalogPath and assetName.
  `String`
  `getObjectsByCatalogAs(String nodeType, int catalogId, String outputFormat)`
  Returns the list of businessObjects for the specified catalogId and nodeType.
  `RequestStatus`
  `importCatalog(int objectTypeId, int catalogId, CatalogImportHelper catalogImportHelper)`
  Imports the catalog on the specified catalogId and objectTypeId.
  `RequestStatus`
  `importCatalog(int objectTypeId, String catalogPath, String catalogName, CatalogImportHelper catalogImportHelper)`
  Imports the catalog at the root level for the specified objectTypeId.
  `String`
  `importCatalogAs(String objectType, int catalogId, String catalogImportHelper, String outputFormat)`
  Imports the catalog on the specified catalogId and objectType.
  `String`
  `importCatalogAs(String objectType, String catalogPath, String catalogName, String catalogImportHelper, String outputFormat)`
  Imports the catalog at the root level for the specified objectType.
  `RequestStatus`
  `publishBusinessPolicies(List<Integer> businessPolicyIds)`
  `String`
  `publishBusinessPoliciesAs(String businessPolicyIdsJsonArray, String outputFormat)`
  `RequestStatus`
  `publishBusinessPolicy(int businessPolicyId)`
  `String`
  `publishBusinessPolicyAs(int businessPolicyId, String outputFormat)`
  `RequestStatus`
  `publishBusinessRule(int businessRuleId)`
  `String`
  `publishBusinessRuleAs(int businessRuleId, String outputFormat)`
  `RequestStatus`
  `publishBusinessRules(List<Integer> businessRuleIds)`
  `String`
  `publishBusinessRulesAs(String businessRuleIdsJsonArray, String outputFormat)`
  `RequestStatus`
  `publishCustomObject(int customObjectId)`
  `String`
  `publishCustomObjectAs(int customObjectId, String outputFormat)`
  `RequestStatus`
  `publishCustomObjects(List<Integer> customObjectIds)`
  `String`
  `publishCustomObjectsAs(String customObjectIdsJsonArray, String outputFormat)`
  `RequestStatus`
  `publishTerm(int businessTermId)`
  `String`
  `publishTermAs(int businessTermId, String outputFormat)`
  `RequestStatus`
  `publishTerms(List<Integer> businessTermIds)`
  `String`
  `publishTermsAs(String businessTermIdsJsonArray, String outputFormat)`
  `RequestStatus`
  `updateAssetType(AssetType assetType)`
  Updates the assetType with the specified assetType object.
  `String`
  `updateAssetTypeAs(String assetType, String outputFormat)`
  Updates the assetType with the specified assetType object in the form of JSON.
  `RequestStatus`
  `updateCatalog(Catalog catalog)`
  Updates the catalog with the specified catalog object.
  `String`
  `updateCatalogAs(String catalog, String outputFormat)`
  Updates the catalog with the specified catalog object i.e in the form of JSON.
  `RequestStatus`
  `updateCatalogs(List<Catalog> catalogs, int fillOptions)`
  Updates the catalogs for the specified catalog objects and fillOptions.
  `String`
  `updateCatalogsAs(String catalogs, int fillOptions, String outputFormat)`
  Updates the list of catalogs for the given catalog objects list i.e in the form of JSONArray.
  `RequestStatus`
  `updateObject(Node.NodeType nodeType, BusinessObject businessObject)`
  Updates the businessObject for the given input object(businessObject) and nodeType.
  `String`
  `updateObjectAs(String nodeType, String businessObject, String outputFormat)`
  Updates the businessObject for the given input object(businessObject).
  `RequestStatus`
  `updateObjects(Node.NodeType nodeType, List<BusinessObject> businessObjects)`
  Updates the businessObjects for the given nodeType and input list of objects(businessObjects list).
  `String`
  `updateObjectsAs(String nodeType, String businessObjects, String outputFormat)`
  Updates the BusinessObjects for the given input list of objects(businessObjects list).

  ### Methods inherited from class com.ads.api.util.BaseUtil

  `getAccessToken, getAccessTokenType, getTokenType, getUserDetails, permissionDeniedMessage, permissionDeniedStatus, setAccessToken, setAccessTokenType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### publishTerm

    public RequestStatus publishTerm(int businessTermId)
    Parameters:
      `businessTermId` -
    Returns:
    Since:
      8.3

  - ### publishTerms

    public RequestStatus publishTerms(List<Integer> businessTermIds)
    Parameters:
      `businessTermIds` -
    Returns:
    Since:
      8.3

  - ### publishTermAs

    public String publishTermAs(int businessTermId, String outputFormat)
    Parameters:
      `businessTermId` -
      `outputFormat` -
    Returns:
    Since:
      8.3

  - ### publishTermsAs

    public String publishTermsAs(String businessTermIdsJsonArray, String outputFormat)
    Parameters:
      `businessTermIdsJsonArray` -
      `outputFormat` -
    Returns:
    Since:
      8.3

  - ### publishBusinessPolicy

    public RequestStatus publishBusinessPolicy(int businessPolicyId)
    Parameters:
      `businessPolicyId` -
    Returns:
    Since:
      9.4

  - ### publishBusinessPolicies

    public RequestStatus publishBusinessPolicies(List<Integer> businessPolicyIds)
    Parameters:
      `businessPolicyIds` -
    Returns:
    Since:
      9.4

  - ### publishBusinessRule

    public RequestStatus publishBusinessRule(int businessRuleId)
    Parameters:
      `businessRuleId` -
    Returns:
    Since:
      9.4

  - ### publishBusinessRules

    public RequestStatus publishBusinessRules(List<Integer> businessRuleIds)
    Parameters:
      `businessRuleIds` -
    Returns:
    Since:
      9.4

  - ### publishCustomObject

    public RequestStatus publishCustomObject(int customObjectId)
    Parameters:
      `customObjectId` -
    Returns:
    Since:
      9.4

  - ### publishCustomObjects

    public RequestStatus publishCustomObjects(List<Integer> customObjectIds)
    Parameters:
      `customObjectIds` -
    Returns:
    Since:
      9.4

  - ### publishBusinessPolicyAs

    public String publishBusinessPolicyAs(int businessPolicyId, String outputFormat)
    Parameters:
      `businessPolicyId` -
      `outputFormat` -
    Returns:
    Since:
      9.4

  - ### publishBusinessPoliciesAs

    public String publishBusinessPoliciesAs(String businessPolicyIdsJsonArray, String outputFormat)
    Parameters:
      `businessPolicyIdsJsonArray` -
      `outputFormat` -
    Returns:
    Since:
      9.4

  - ### publishBusinessRuleAs

    public String publishBusinessRuleAs(int businessRuleId, String outputFormat)
    Parameters:
      `businessRuleId` -
      `outputFormat` -
    Returns:
    Since:
      9.4

  - ### publishBusinessRulesAs

    public String publishBusinessRulesAs(String businessRuleIdsJsonArray, String outputFormat)
    Parameters:
      `businessRuleIdsJsonArray` -
      `outputFormat` -
    Returns:
    Since:
      9.4

  - ### publishCustomObjectAs

    public String publishCustomObjectAs(int customObjectId, String outputFormat)
    Parameters:
      `customObjectId` -
      `outputFormat` -
    Returns:
    Since:
      9.4

  - ### publishCustomObjectsAs

    public String publishCustomObjectsAs(String customObjectIdsJsonArray, String outputFormat)
    Parameters:
      `customObjectIdsJsonArray` -
      `outputFormat` -
    Returns:
    Since:
      9.4

  - ### createAssetType

    public RequestStatus createAssetType(AssetType assetType)
    Creates the assetType for the given assetType object. Specifying the name and title are mandatory, while creating the assetType. The created assetType is shown in the Business Glossary Module only if asseType.setEnabled() is set to true.
    If assetType is created successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `assetType` - AssetType
    Returns:
      RequestStatus object
    Since:
      10.1

  - ### updateAssetType

    public RequestStatus updateAssetType(AssetType assetType)
    Updates the assetType with the specified assetType object. All the information pertaining to the assetType can be updated. Specifying the id, name and title are mandatory to update the assetType.
    If assetType details are updated successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `assetType` - AssetType Object
    Returns:
      RequestStatus object
    Since:
      10.1

  - ### deleteAssetType

    public RequestStatus deleteAssetType(int assetTypeId)
    Deletes the assetType for the specified id.Specifying the assetTypeId is mandatory to delete a particular assetType.
    If the assetType is deleted all its associated data will also be deleted.
    If assetType is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `assetTypeId` - int
    Returns:
      RequestStatus object
    Since:
      10.1

  - ### getAssetType

    public AssetType getAssetType(int assetTypeId) throws com.ads.api.exceptions.DAOException
    Returns the assetType object for the specified assetTypeId. Specifying the assetTypeId is mandatory.
    It returns all the details like name, description, title, objectTypeId, catalogTypeId etc...
    Parameters:
      `assetTypeId` - int
    Returns:
      AssetType Object
    Throws:
      `com.ads.api.exceptions.DAOException`
    Since:
      10.1

  - ### getAssetType

    public AssetType getAssetType(String name) throws com.ads.api.exceptions.DAOException
    Returns the assetType object for the specified name. Specifying the name is mandatory.
    It returns all the details like name, description, title, objectTypeId, catalogTypeId etc...
    Parameters:
      `name` - String
    Returns:
      AssetType Object
    Throws:
      `com.ads.api.exceptions.DAOException`
    Since:
      10.1

  - ### getAssetTypes

    public List<AssetType> getAssetTypes(List<Integer> assetTypeIds) throws com.ads.api.exceptions.DAOException
    Returns the List objects for the specified list of assetTypeIds. Specifying the list of assetTypeIds are mandatory.
    It returns list of assetType objects containing the details like name, description, title, objectTypeId, catalogTypeId etc...
    Parameters:
      `assetTypeIds` - list
    Returns:
      List Objects
    Throws:
      `com.ads.api.exceptions.DAOException`
    Since:
      10.1

  - ### getAssetTypesByNames

    public List<AssetType> getAssetTypesByNames(List<String> assetNames) throws com.ads.api.exceptions.DAOException
    Returns the List objects for the specified assetTypeNames. Specifying the list of assetTypeNames are mandatory.
    It returns list of assetType objects containing the details like name, description, title, objectTypeId, catalogTypeId etc...
    Parameters:
      `assetNames` - list
    Returns:
      List Objects
    Throws:
      `com.ads.api.exceptions.DAOException`
    Since:
      10.1

  - ### createCatalog

    public RequestStatus createCatalog(Catalog catalog)
    Creates the catalog for the given input (catalog) object. Specifying the catalogName and catalogTypeId are mandatory, while creating the catalog. To create a sub catalog specifying the parentCatalogId is mandatory.
    If catalog is created successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `catalog` - Catalog
    Returns:
      RequestStatus object
    Since:
      10.1

  - ### updateCatalog

    public RequestStatus updateCatalog(Catalog catalog)
    Updates the catalog with the specified catalog object. All the information pertaining to the catalog can be updated. Specifying the catalogId and catalogName are mandatory to update the catalog.
    If catalog details are updated successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `catalog` - Catalog Object
    Returns:
      RequestStatus object
    Since:
      10.1

  - ### deleteCatalog

    public RequestStatus deleteCatalog(int catalogId)
    Deletes the catalog with the specified catalogId. Specifying the catalogId is mandatory to delete a particular catalog.
    If the catalog is deleted all its associated data will also be deleted.
    If catalog is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `catalogId` - int
    Returns:
      RequestStatus object
    Since:
      10.1

  - ### getCatalog

    public Catalog getCatalog(int catalogId) throws com.ads.api.exceptions.DAOException
    Returns the catalog object for the specified catalogId. Specifying the catalogId is mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Parameters:
      `catalogId` - int
    Returns:
      Catalog Object
    Throws:
      `com.ads.api.exceptions.DAOException`
    Since:
      10.1

  - ### getCatalog

    public Catalog getCatalog(int objectTypeId, int parentCatalogId, String name) throws Exception
    Returns the catalog object for the specified catalogName and parentCatalogId. Specifying the catalogId and parentCatalogId are mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Parameters:
      `objectTypeId` - int
      `name` - String
      `parentCatalogId` - int
    Returns:
      Catalog Object
    Throws:
      `Exception`
    Since:
      10.1

  - ### getCatalogId

    public int getCatalogId(int objectTypeId, String catalogPath) throws com.ads.api.exceptions.DAOException
    Returns the catalogId for the specified objectTypeId and catalogPath. Specifying the objectTypeId and catalogPath are mandatory.
    Here the catalogPath value will be catalogPath+catalogName. It returns the catalogId
    Parameters:
      `objectTypeId` - int
      `catalogPath` - String - ex: Catalog1/Catalog2/Catalog3
    Returns:
      CatalogId int
    Throws:
      `com.ads.api.exceptions.DAOException`
    Since:
      10.1

  - ### getCatalogs

    public List<Catalog> getCatalogs(List<Integer> catalogIds) throws Exception
    Returns the List objects for the specified catalogIds. Specifying the list of catalogIds are mandatory.
    It returns list of catalog objects containing the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Parameters:
      `catalogIds` - list
    Returns:
      List Objects
    Throws:
      `Exception`
    Since:
      10.1

  - ### getCatalogs

    public List<Catalog> getCatalogs(int parentCatalogId) throws Exception
    Returns the List objects for the specified parentCatalogId. Specifying the parentCatalogId is mandatory.
    It returns list of catalog objects containing the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Parameters:
      `parentCatalogId` - int
    Returns:
      List Objects
    Throws:
      `Exception`
    Since:
      10.1

  - ### importCatalog

    public RequestStatus importCatalog(int objectTypeId, int catalogId, CatalogImportHelper catalogImportHelper)
    Imports the catalog on the specified catalogId and objectTypeId. Specifying the objectTypeId, catalogId are mandatory. Also the Specification of the filePath and filePathType are mandatory in catalogImportHelper object.
    The supported values for the filePathType are ABSOLUTE, RELATIVE. Here the file in filePath given must be in xlsx or xls format only.
    The filePath should be valid and it should be of excel type. The headers in the provided file should be correct, and these will differ for each different objectTypeId.
    If catalog is imported successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `objectTypeId` - - int
      `catalogId` - - int
      `catalogImportHelper` - - catalogImportHelper object
    Returns:
      RequestStatus object
    Since:
      10.1

  - ### importCatalog

    public RequestStatus importCatalog(int objectTypeId, String catalogPath, String catalogName, CatalogImportHelper catalogImportHelper)
    Imports the catalog at the root level for the specified objectTypeId. Specifying the objectTypeId is mandatory and at least providing the catalogPath or catalogName is mandatory.
    Here the catalogPath value will be catalogPath+catalogName. Specification of the filePath and filePathType are mandatory in catalogImportHelper object. The supported values for the filePathType are ABSOLUTE, RELATIVE.
    The filePath should be valid and it should be of excel type. The headers in the provided file should be correct, and these will differ for each different objectTypeId.
    If catalog is imported successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `objectTypeId` - - int
      `catalogPath` - - String - ex: Catalog1/Catalog2/Catalog3
      `catalogName` - - String
      `catalogImportHelper` - - catalogImportHelper object
    Returns:
      RequestStatus object
    Since:
      10.1

  - ### getCatalogPath

    public String getCatalogPath(int objectTypeId, int catalogId) throws com.ads.api.exceptions.DAOException
    Returns the catalog path for the specified objectTypeId and catalogId. Specifying the objectTypeId and catalogId are mandatory.
    It returns the Catalog Path.
    Parameters:
      `objectTypeId` - int
      `catalogId` - int
    Returns:
      CatalogPath String
    Throws:
      `com.ads.api.exceptions.DAOException`
    Since:
      10.1

  - ### createCatalogAs

    public String createCatalogAs(String catalog, String outputFormat)
    Creates the catalog for the given catalog object i.e in the form of JSON. Specifying the catalogName and catalogTypeId are mandatory, while creating the catalog. To create a sub catalog specifying the parentCatalogId is mandatory.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `catalog` - String
      `outputFormat` - String
    Returns:
      String - If catalog is created successfully, it will return RequestStatus Object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'catalog' JSON :
      {
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      }

    Since:
      10.1

  - ### updateCatalogAs

    public String updateCatalogAs(String catalog, String outputFormat)
    Updates the catalog with the specified catalog object i.e in the form of JSON. All the information pertaining to the catalog can be updated. Specifying the catalogId and catalogName are mandatory to update the catalog.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `catalog` - String
      `outputFormat` - String
    Returns:
      String - If catalog is updated successfully, it will return RequestStatus Object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'catalog' JSON :
      {
      "catalogId": "",
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      }

    Since:
      10.1

  - ### deleteCatalogAs

    public String deleteCatalogAs(int catalogId, String outputFormat)
    Deletes the catalog with the specified catalogId. Specifying the catalogId is mandatory to delete a particular catalog.
    If the catalog is deleted, its associated data will also be deleted.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `catalogId` - int
      `outputFormat` - String
    Returns:
      String - If catalog is deleted successfully, it will return RequestStatus Object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      10.1

  - ### getCatalogAs

    public String getCatalogAs(int catalogId, String outputFormat)
    Returns the catalog object in the form of JSON for the specified catalogId. Specifying the catalogId is mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `catalogId` - int
      `outputFormat` - String
    Returns:
      String
    Since:
      10.1

  - ### getCatalogAs

    public String getCatalogAs(String objectType, int parentCatalogId, String name, String outputFormat)
    Returns the catalog object in the form of JSON for the specified objectType, catalogName and parentcatalogId. Specifying the objectType name and parentcatalogId are mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `objectType` - String - valid types: BGM_TERM, BGM_POLICY, BGM_RULE and for Custom types it will be the name of asset type.
      `name` - String
      `parentCatalogId` - int
      `outputFormat` - String
    Returns:
      String
    Since:
      10.1

  - ### getCatalogIdAs

    public String getCatalogIdAs(String objectType, String catalogPath, String outputFormat)
    Returns the catalogId for the specified objectType and catalogPath. Specifying the objectType and catalogPath are mandatory.
    It returns the catalogId for the specified catalogPath. Here the catalogPath value will be catalogPath+catalogName.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `objectType` - String - Valid types: BGM_TERM, BGM_POLICY, BGM_RULE and for Custom types it will be the name of asset type.
      `catalogPath` - String - ex: Catalog1/Catalog2/Catalog3
      `outputFormat` - String
    Returns:
      the catalogId
    Since:
      10.1

  - ### getCatalogsAs

    public String getCatalogsAs(String catalogIds, String outputFormat)
    Returns the list of catalog objects in the form of JSON for the given catalogIds. Specifying the catalogIds as like json array is mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `catalogIds` - String in the form of json array
      `outputFormat` - String
    Returns:
      String

      Sample 'catalogIds' JSONArray :
      [1,2]

    Since:
      10.1

  - ### getCatalogsAs

    public String getCatalogsAs(int parentCatalogId, String outputFormat)
    Returns the list of catalog objects in the form of JSON for the specified parentcatalogId. Specifying the parentcatalogId is mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `parentCatalogId` - int
      `outputFormat` - String
    Returns:
      String
    Since:
      10.1

  - ### getCatalogPathAs

    public String getCatalogPathAs(String objectType, int catalogId, String outputFormat)
    Returns the catalog path for the specified objectType and catalogId. Specifying the objectType and catalogId are mandatory.
    It returns the complete path of the given catalogId.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `objectType` - String - Valid types: BGM_TERM, BGM_POLICY, BGM_RULE and for Custom types it will be the name of asset type.
      `catalogId` - int
      `outputFormat` - String
    Returns:
      String
    Since:
      10.1

  - ### importCatalogAs

    public String importCatalogAs(String objectType, int catalogId, String catalogImportHelper, String outputFormat)
    Imports the catalog on the specified catalogId and objectType. Specifying the objectType, catalogId and filePath are mandatory.
    The filePath should be valid and it should be of excel type. The headers in the provided file should be correct, and these are differ for each different objectType.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `objectType` - String - Valid types: BGM_TERM, BGM_POLICY, BGM_RULE and for Custom types it will be the name of asset type.
      `catalogId` - - int
      `catalogImportHelper` - - String
      `outputFormat` - String
    Returns:
      String - If catalog is imported successfully, it will return RequestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      10.1

  - ### importCatalogAs

    public String importCatalogAs(String objectType, String catalogPath, String catalogName, String catalogImportHelper, String outputFormat)
    Imports the catalog at the root level for the specified objectType. Specifying the objectType,filePath are mandatory and at least providing the path or catalogName is mandatory.
    Here the path value will be path+catalogName.
    The filePath should be valid and it should be of excel type. The headers in the provided file should be correct, and these are differ for each different objectType.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `objectType` - - String - Valid types: BGM_TERM, BGM_POLICY, BGM_RULE and for Custom types it will be the name of asset type.
      `catalogPath` - - String
      `catalogName` - - String
      `catalogImportHelper` - - String
      `outputFormat` - String
    Returns:
      String - If catalog is imported successfully, it will return RequestStatus Object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      10.1

  - ### createAssetTypeAs

    public String createAssetTypeAs(String assetType, String outputFormat)
    Creates the assetType for the given assetType object in the form of JSON. Specifying the name and title are mandatory, while creating the assetType. The created assetType is shown in Business Glossary Module only if enabled value in the given JSON is true.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetType` - String
      `outputFormat` - String
    Returns:
      String - If assetType is created successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'assetType' JSON :
      {
      "objectTypeId": "",
      "catalogTypeId": "",
      "catalogsTypeId": "",
      "name": "",
      "title": "",
      "description": "",
      "color": "",
      "documentsRequired": "",
      "enabled": "true",
      "definitionEnabled": "",
      "sdiEnabled": "",
      "systemBased": "",
      "displayOrder": "",
      "auditHistory": null
      }

    Since:
      10.1

  - ### updateAssetTypeAs

    public String updateAssetTypeAs(String assetType, String outputFormat)
    Updates the assetType with the specified assetType object in the form of JSON. All the information pertaining to the assetType can be updated.
    Specifying the id, name and title are mandatory to update the AssetType.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetType` - String
      `outputFormat` - String
    Returns:
      String - If assetType is updated successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
      Sample 'assetTypeJson' JSON :
      {
      "id": "",
      "objectTypeId": "",
      "catalogTypeId": "",
      "catalogsTypeId": "",
      "name": "",
      "title": "",
      "description": "",
      "color": "",
      "documentsRequired": "",
      "enabled": "true",
      "definitionEnabled": "",
      "sdiEnabled": "",
      "systemBased": "",
      "displayOrder": "",
      "auditHistory": null
      }
    Since:
      10.1

  - ### deleteAssetTypeAs

    public String deleteAssetTypeAs(int assetTypeId, String outputFormat)
    Deletes the assetType with the specified assetTypeId. Specifying the assetTypeId is mandatory to delete a particular assetType.
    If the assetType is deleted its associated data will also be deleted.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetTypeId` - int
      `outputFormat` - String
    Returns:
      String - If assetType is deleted successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      10.1

  - ### getAssetTypeAs

    public String getAssetTypeAs(int assetTypeId, String outputFormat)
    Returns the assetType object in the form of JSON for the specified assetTypeId. Specifying the assetTypeId is mandatory.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetTypeId` - int
      `outputFormat` - String
    Returns:
      String
    Since:
      10.1

  - ### getAssetTypeByNameAs

    public String getAssetTypeByNameAs(String name, String outputFormat)
    Returns the assetType object in the form of JSON for the specified assetName. Specifying the assetName is mandatory.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `name` - String
      `outputFormat` - String
    Returns:
      String
    Since:
      10.1

  - ### getAssetTypesAs

    public String getAssetTypesAs(String assetTypeIds, String outputFormat)
    Returns the list of asstetType objects in the form of JSON for the given assetIds. Specifying the assetTypeIds as like JSON array is mandatory.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetTypeIds` - String in the form of json array
      `outputFormat` - String
    Returns:
      String

      Sample 'assetIds' JSONArray :
      [1,2]

    Since:
      10.1

  - ### getAssetTypesByNamesAs

    public String getAssetTypesByNamesAs(String assetTypeNames, String outputFormat)
    Returns the list of asstetType objects in the form of JSON for the given assetTypeNames. Specifying the assetTypeNames as like JSON array is mandatory.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    Specification of the outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetTypeNames` - String in the form of JSON array
      `outputFormat` - String
    Returns:
      String

      Sample 'assetTypeNames' JSONArray :
      ["Custom_A","Custom_B"]

    Since:
      10.1

  - ### createObject

    public RequestStatus createObject(Node.NodeType nodeType, BusinessObject businessObject)
    Creates the businessObject for the given input object(businessObject) and nodeType. Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object. Specifying the nodeType, objectName and catalogId are mandatory in the input object
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    If businessObject is created successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObject` - BusinessObject
    Returns:
      RequestStatus object
    Since:
      12.0

  - ### createObject

    public RequestStatus createObject(BusinessObject businessObject)
    Creates the businessObject for the given input object(businessObject). Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object. Specifying the objectName, catalogId and assetType object are mandatory in the input businessObject.
    Specifying the catalogTypeId in the assetType object parameter is mandatory. Depending upon the catalogTypeId the catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    If businessObject is created successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `businessObject` - BusinessObject
    Returns:
      RequestStatus object
    Since:
      12.0

  - ### updateObject

    public RequestStatus updateObject(Node.NodeType nodeType, BusinessObject businessObject) throws com.ads.api.exceptions.DAOException
    Updates the businessObject for the given input object(businessObject) and nodeType. Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object.
    All the information pertaining to the businessObject can be updated. Specifying the nodeType, businessObjectId and catalogId are mandatory to update the businessObject.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    If businessObject is updated successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObject` - BusinessObject
    Returns:
      RequestStatus object
    Throws:
      `com.ads.api.exceptions.DAOException`
    Since:
      12.0

  - ### createObjects

    public RequestStatus createObjects(Node.NodeType nodeType, List<BusinessObject> businessObjects)
    Creates the businessObjects for the given input objects(businessObjects list) and nodeType. Here the businessObjects can be Business Term, Business Policy, Business Rule or Custom Object. Specifying the nodeType, objectName and catalogId in each businessObject are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    If businessObject is created successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjects` -
    Returns:
      RequestStatus object
    Since:
      12.0

  - ### updateObjects

    public RequestStatus updateObjects(Node.NodeType nodeType, List<BusinessObject> businessObjects)
    Updates the businessObjects for the given nodeType and input list of objects(businessObjects list). Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object.
    All the information pertaining to the businessObjects can be updated. Specifying the nodeType, businessObjectId and catalogId in each businessObject are mandatory to update the businessObjects.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    If businessObject is updated successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjects` -
    Returns:
      RequestStatus object
    Since:
      12.0

  - ### getObject

    public BusinessObject getObject(Node.NodeType nodeType, int businessObjectId) throws Exception
    Returns the businessObject for the specified businessObjectId and nodeType. Specifying the businessObjectId and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectId` - int
    Returns:
      String - BusinessObject in the form of JSON String.
    Throws:
      `Exception`
    Since:
      12.0

  - ### getObjects

    public List<BusinessObject> getObjects(Node.NodeType nodeType, List<Integer> businessObjectIds) throws Exception
    Returns the list of businessObjects for the specified list of businessObjectIds and nodeType. Specifying the list of businessObjectIds and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectIds` - List
    Returns:
      List of businessObjects in the form of JSON String
    Throws:
      `Exception`
    Since:
      12.0

  - ### getObjects

    public List<BusinessObject> getObjects(Node.NodeType nodeType, int catalogId) throws Exception
    Returns the list of businessObjects for the specified catalogId and nodeType. Specifying the catalogId and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `catalogId` - int
    Returns:
      List of businessObjects in the form of JSON String
    Throws:
      `Exception`
    Since:
      12.0

  - ### getObjects

    public List<BusinessObject> getObjects(String assetName, String catalogPath) throws Exception
    Returns the list of businessObjects for the specified catalogPath and assetName. Specifying the catalogPath and assetName are mandatory.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    Parameters:
      `assetName` - String
      `catalogPath` - String - ex: Catalog1/Catalog2/Catalog3
    Returns:
      List of businessObjects in the form of JSON String
    Throws:
      `Exception`
    Since:
      12.0

  - ### getObjectId

    public int getObjectId(Node.NodeType nodeType, int catalogId, String businessObjectName) throws Exception
    Returns the id of businessObject for the specified catalogId, nodeType and businessObjectName. Specifying the catalogId, businessObjectName and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `catalogId` - int
      `businessObjectName` - String
    Returns:
      businessObjectId int
    Throws:
      `Exception`
    Since:
      12.0

  - ### getObjectId

    public int getObjectId(String assetName, String catalogPath, String businessObjectName) throws Exception
    Returns the id of businessObject for the specified assetName, catalogPath and businessObjectName. Specifying the assetName, catalogPath and businessObjectName are mandatory.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    Parameters:
      `assetName` - String
      `catalogPath` - String - ex: Catalog1/Catalog2/Catalog3
      `businessObjectName` - String
    Returns:
      businessObjectId int
    Throws:
      `Exception`
    Since:
      12.0

  - ### getObjectName

    public String getObjectName(Node.NodeType nodeType, int businessObjectId) throws Exception
    Returns the name of businessObject for the specified nodeType and businessObjectId. Specifying the nodeType and businessObjectId are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectId` - int
    Returns:
      businessObjectName String
    Throws:
      `Exception`
    Since:
      12.0

  - ### exportCatalog

    public RequestStatus exportCatalog(int catalogId) throws Exception
    BusinessObjects are exported to excel for the specified catalogId. Specifying the catalogId is mandatory.
    All the businessObjects of the specified catalogId are exported to excel. The exported filePath will be available in the userObject of requestStatus object and the filePath will be RELATIVE.
    If businessObjects are exported successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `catalogId` - int
    Returns:
      RequestStatus object
    Throws:
      `Exception`
    Since:
      12.0

  - ### exportCatalog

    public RequestStatus exportCatalog(String assetName, String catalogPath) throws Exception
    BusinessObjects are exported to excel for the specified assetName and catalogPath. Specifying the assetName and catalogPath are mandatory.
    All the businessObjects of the specified catalogPath are exported to excel. The exported filePath will be available in the userObject of requestStatus object and the filePath will be RELATIVE.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    If businessObjects are exported successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `assetName` - String
      `catalogPath` - String
    Returns:
      RequestStatus object
    Throws:
      `Exception`
    Since:
      12.0

  - ### deleteObject

    public RequestStatus deleteObject(Node.NodeType nodeType, int businessObjectId)
    Deletes the businessObject for the specified businessObjectId and nodeType. Specifying the businessObjectId and nodeType are mandatory to delete a particular businessObject.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc.. If the businessObject is deleted all its associated data will also be deleted
    If businessObject is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectId` - int
    Returns:
      RequestStatus object
    Since:
      12.0

  - ### deleteObject

    public RequestStatus deleteObject(BusinessObject businessObject)
    Deletes the businessObject for the specified input object(businessObject). Specifying the businessObjectId, catalogId and assetType object are mandatory to delete a particular businessObject. If the businessObject is deleted all its associated data will also be deleted.
    Specifying the catalogTypeId in the assetType object parameter is mandatory. Depending upon the catalogTypeId the catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    If businessObject is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `businessObject` -
    Returns:
      RequestStatus object
    Since:
      12.0

  - ### deleteObjects

    public RequestStatus deleteObjects(Node.NodeType nodeType, List<Integer> businessObjectIds)
    Deletes the businessObjects for the specified list of businessObjectIds and nodeType. Specifying the businessObjectIds list and nodeType are mandatory to delete businessObjects.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc.. If the businessObjects are deleted all its associated data will also be deleted.
    If businessObjects are deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectIds` - List
    Returns:
      RequestStatus object
    Since:
      12.0

  - ### deleteObjects

    public RequestStatus deleteObjects(Node.NodeType nodeType, int catalogId)
    Deletes the businessObjects for the specified catalogId and nodeType. Specifying the catalogId and nodeType are mandatory to delete businessObjects.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc.. If the businessObjects are deleted all its associated data will also be deleted.
    If businessObjects are deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `nodeType` - Node - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `catalogId` - int
    Returns:
      RequestStatus object
    Since:
      12.0

  - ### deleteObjects

    public RequestStatus deleteObjects(String assetName, String catalogPath)
    Deletes the businessObjects for the specified assetName and catalogPath. Specifying the assetName and catalogPath are mandatory to delete businessObjects. If the businessObjects are deleted all its associated data will also be deleted.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects the it will be the name given in settings while creating the assetType.
    Here the catalogPath value will be catalogPath+catalogName.
    If businessObjects are deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `assetName` - String
      `catalogPath` - String ex: Catalog1/Catalog2/Catalog3
    Returns:
      RequestStatus object
    Since:
      12.0

  - ### createObjectAs

    public String createObjectAs(String nodeType, String businessObject, String outputFormat)
    Creates the businessObject for the given input object(businessObject). Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object. Specifying the nodeType, objectName and catalogId are mandatory in the input object
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObject` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObject is created successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'BusinessObject' JSON :
      {
      "catalogId": "",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "sdiClassificationName": "",
      "sdiDescription": "",
      "sdiClassificationId": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      }

    Since:
      12.0

  - ### createObjectsAs

    public String createObjectsAs(String nodeType, String businessObjects, String outputFormat)
    Creates the businessObjects for the given input objects(businessObjects list). Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object. Specifying the nodeType, objectName and catalogTypeId in each businessObject are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogTypeId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjects` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObjects are created successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'BusinessObjects' JSON :
      [
      {
      "catalogId": "",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "sdiClassificationName": "",
      "sdiDescription": "",
      "sdiClassificationId": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      },
      {
      "catalogId": "",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "sdiClassificationName": "",
      "sdiDescription": "",
      "sdiClassificationId": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      }
      ]

    Since:
      12.0

  - ### updateObjectAs

    public String updateObjectAs(String nodeType, String businessObject, String outputFormat)
    Updates the businessObject for the given input object(businessObject). Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object.
    All the information pertaining to the businessObject can be updated. Specifying the nodeType, businessObjectId and catalogTypeId are mandatory to update the businessObject.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogTypeId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObject` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObject is updated successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'BusinessObject' JSON :
      {
      "catalogId": "",
      "id":"",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "sdiClassificationName": "",
      "sdiDescription": "",
      "sdiClassificationId": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      }

    Since:
      12.0

  - ### getObjectAs

    public String getObjectAs(String nodeType, int businessOjectId, String outputFormat)
    Returns the businessObject for the specified businessObjectId and nodeType. Specifying the businessObjectId and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessOjectId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - BusinessObject in the form of JSON or XML String
    Since:
      12.0

  - ### updateObjectsAs

    public String updateObjectsAs(String nodeType, String businessObjects, String outputFormat)
    Updates the BusinessObjects for the given input list of objects(businessObjects list). Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object.
    All the information pertaining to the businessObjects can be updated. Specifying the nodeType, businessObjectId and catalogTypeId are mandatory to update the businessObjects.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogTypeId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjects` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObjects are updated successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'BusinessObjects' JSON :
      [
      {
      "catalogId": "",
      "id":"",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "sdiClassificationName": "",
      "sdiDescription": "",
      "sdiClassificationId": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      },
      {
      "catalogId": "",
      "id":"",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "sdiClassificationName": "",
      "sdiDescription": "",
      "sdiClassificationId": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      }
      ]

    Since:
      12.0

  - ### getObjectsAs

    public String getObjectsAs(String nodeType, String businessObjectIds, String outputFormat)
    Returns the list of businessObjects for the specified list of businessObjectIds and nodeType. Specifying the list of businessObjectIds and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectIds` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - List of businessObjects in the form of JSON or XML String.
    Since:
      12.0

  - ### getObjectsByCatalogAs

    public String getObjectsByCatalogAs(String nodeType, int catalogId, String outputFormat)
    Returns the list of businessObjects for the specified catalogId and nodeType. Specifying the catalogId and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `catalogId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - List of businessObjects in the form of JSON or XML String.
    Since:
      12.0

  - ### getObjectsByAssetAs

    public String getObjectsByAssetAs(String assetName, String catalogPath, String outputFormat)
    Returns the list of businessObjects for the specified catalogPath and assetName. Specifying the catalogPath and assetName are mandatory.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetName` - String
      `catalogPath` - String ex: Catalog1/Catalog2/Catalog3
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - List of businessObjects in the form of JSON or XML String.
    Since:
      12.0

  - ### getObjectIdAs

    public String getObjectIdAs(String nodeType, int catalogId, String businessObjectName, String outputFormat)
    Returns the id of businessObject for the specified catalogId, nodeType and businessObjectName. Specifying the catalogId, businessObjectName and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `catalogId` - int
      `businessObjectName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - businessObjectId in the form of JSON or XML String.
    Since:
      12.0

  - ### geObjectIdByAssetAs

    public String geObjectIdByAssetAs(String assetName, String catalogPath, String businessObjectName, String outputFormat)
    Returns the id of businessObject for the specified assetName, catalogPath and businessObjectName. Specifying the assetName, catalogPath and businessObjectName are mandatory.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetName` - String
      `catalogPath` - String ex: Catalog1/Catalog2/Catalog3
      `businessObjectName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - BusinessObject id in the form of JSON or XML String.
    Since:
      12.0

  - ### getObjectNameAs

    public String getObjectNameAs(String nodeType, int businessObjectId, String outputFormat)
    Returns the name of businessObject for the specified nodeType and businessObjectId. Specifying the nodeType and businessObjectId are mandatory.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - BusinessObject name in the form of JSON or XML String.
    Since:
      12.0

  - ### exportCatalogAs

    public String exportCatalogAs(int catalogId, String outputFormat)
    BusinessObjects are exported to excel for the specified catalogId. Specifying the catalogId is mandatory.
    All the businessObjects of the specified catalogId are exported to excel. The exported filePath will be available in the userObject of requestStatus object and the filePath will be RELATIVE.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `catalogId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObjects are exported successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### exportCatalogByAssetAs

    public String exportCatalogByAssetAs(String assetName, String catalogPath, String outputFormat)
    BusinessObjects are exported to excel for the specified assetName and catalogPath. Specifying the assetName and catalogPath are mandatory.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    All the businessObjects of the specified catalogPath are exported to excel. The exported filePath will be available in the userObject of requestStatus object and the filePath will be RELATIVE.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetName` - String
      `catalogPath` - String ex: Catalog1/Catalog2/Catalog3
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObjects are exported successfully, it will return requestStatus Object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### deleteObjectAs

    public String deleteObjectAs(String nodeType, int businessObjectId, String outputFormat)
    Deletes the businessObject for the specified businessObjectId and nodeType.Specifying the businessObjectId and nodeType are mandatory to delete a particular businessObject.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. If the businessObject is deleted all its associated data will also be deleted.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObject is deleted successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### deleteObjectsAs

    public String deleteObjectsAs(String nodeType, String businessObjectIds, String outputFormat)
    Deletes the businessObjects for the specified list of businessObjectIds and nodeType.Specifying the businessObjectIds list and nodeType are mandatory to delete businessObjects.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. If the businessObjects are deleted all its associated data will also be deleted.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectIds` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObjects are deleted successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### deleteObjectsByCatalogAs

    public String deleteObjectsByCatalogAs(String nodeType, int catalogId, String outputFormat)
    Deletes the businessObjects for the specified catalogId and nodeType. Specifying the catalogId and nodeType are mandatory to delete businessObjects.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. If the businessObjects are deleted all its associated data will also be deleted.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `catalogId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObjects are deleted successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### deleteObjectsByAssetAs

    public String deleteObjectsByAssetAs(String assetName, String catalogPath, String outputFormat)
    Deletes the businessObjects for the specified assetName and catalogPath. Specifying the assetName and catalogPath are mandatory to delete businessObjects. If the businessObjects are deleted all its associated data will also be deleted.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetName` - String
      `catalogPath` - String ex: Catalog1/Catalog2/Catalog3
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If businessObjects are deleted successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### getCatalogsByAssetTypeId

    public List<Catalog> getCatalogsByAssetTypeId(int assetTypeId, int fillOptions) throws Exception
    Returns the list of catalog objects for the specified assetTypeId and fillExtendedProperties. Specifying the assetTypeId and fillExtendedProperties are mandatory.
    If fillExtendedProperties value is true it returns the catalog object filled with extended properties.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Parameters:
      `assetTypeId` - int
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      List of catalog objects
    Throws:
      `Exception`
    Since:
      12.1

  - ### getCatalogsByAssetType

    public List<Catalog> getCatalogsByAssetType(String assetTypeName, int fillOptions) throws com.ads.api.exceptions.DAOException, Exception
    Returns the list of catalog objects for the specified assetTypeName and fillExtendedProperties. Specifying the assetTypeName and fillExtendedProperties are mandatory.
    If fillExtendedProperties value is true it returns the catalog object filled with extended properties.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Parameters:
      `assetTypeName` - String
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      List of catalog objects
    Throws:
      `com.ads.api.exceptions.DAOException`
      `Exception`
    Since:
      12.1

  - ### getAllAssetTypes

    public List<AssetType> getAllAssetTypes() throws Exception
    Returns the list of all asstetType objects present in Business Glossary module.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    Returns:
      List of assetTypes
    Throws:
      `Exception`
    Since:
      12.1

  - ### getAllCatalogs

    public List<Catalog> getAllCatalogs(int fillOptions) throws Exception
    Returns the list of all catalog objects present in the BusinessGlossary module.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Parameters:
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      List of catalog objects
    Throws:
      `Exception`
    Since:
      12.1

  - ### getAllAssetTypesAs

    public String getAllAssetTypesAs(String outputFormat)
    Returns the list of all asstetType objects present in the BusinessGlossary module in the form of JSON or XML.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      12.1

  - ### getCatalogsByAssetTypeAs

    public String getCatalogsByAssetTypeAs(String assetTypeName, int fillOptions, String outputFormat)
    Returns the list of catalog objects in the form of JSON for the specified assetTypeId and fillOptions. Specifying the assetTypeId and fillOptions are mandatory.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetTypeName` - String
      `fillOptions` - `APIConstants.BGMFillOptions` int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      12.1

  - ### getCatalogsByAssetTypeIdAs

    public String getCatalogsByAssetTypeIdAs(int assetTypeId, int fillOptions, String outputFormat)
    Returns the list of catalog objects in the form of JSON for the specified assetTypeId and fillOptions. Specifying the assetTypeId and fillOptions are mandatory.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `assetTypeId` - int
      `fillOptions` - `APIConstants.BGMFillOptions` int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      12.1

  - ### getAllCatalogsAs

    public String getAllCatalogsAs(int fillOptions, String outputFormat)
    Returns the list of all catalog objects present in the Business Glossary module in the form of JSON or XML.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `fillOptions` - `APIConstants.BGMFillOptions` int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      12.1

  - ### getCatalogs

    public List<Catalog> getCatalogs(List<Integer> catalogIds, int fillOptions) throws Exception
    Returns the list of catalog objects for the specified catalogIds and fillOptions. Specifying the list of catalogIds are mandatory.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    It returns list of catalog objects containing the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Parameters:
      `catalogIds` - List
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      List of Catalogs
    Throws:
      `Exception`
    Since:
      12.1

  - ### getCatalogs

    public List<Catalog> getCatalogs(int parentCatalogId, int fillOptions) throws Exception
    Returns the list of catalog objects for the specified parentCatalogId and fillOptions. Specifying the parentCatalogId and fillOptions are mandatory.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    It returns list of catalog objects containing the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Parameters:
      `parentCatalogId` - int
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      List of Catalogs
    Throws:
      `Exception`
    Since:
      12.1

  - ### deleteAssetType

    public RequestStatus deleteAssetType(AssetType assetType)
    Deletes the assetType for the specified assetType object. Specifying the assetTypeId is mandatory in the given object to delete a particular assetType.
    If the assetType is deleted all its associated data will also be deleted.
    If assetType is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `assetType` - AssetType
    Returns:
      RequestStatus object
    Since:
      12.1

  - ### createCatalogs

    public RequestStatus createCatalogs(List<Catalog> catalogs, int fillOptions)
    Creates the list of catalogs for the given catalog objects list. Specifying the catalogName and catalogTypeId in each catalog object are mandatory, while creating the catalogs. To create a sub catalog specifying the parentCatalogId is mandatory.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` Based on the fillOptions value passed the fields(extended properties) are created along with the catalog object. The default integer value for fillOptions is 0(zero).
    If catalogs are created successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `catalogs` - List
      `fillOptions` - int `APIConstants.BGMFillOptions`.
    Returns:
      RequestStatus object
    Since:
      12.1

  - ### updateCatalogs

    public RequestStatus updateCatalogs(List<Catalog> catalogs, int fillOptions) throws com.ads.api.exceptions.DAOException
    Updates the catalogs for the specified catalog objects and fillOptions. All the information pertaining to the catalog can be updated. Specifying the catalogId and catalogName are mandatory in each catalog object to update the catalogs.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` Based on the fillOptions value passed the fields(extended properties) are updated along with the catalog object. The default integer value for fillOptions is 0(zero).
    If catalogs details are updated successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `catalogs` - List
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      RequestStatus object
    Throws:
      `com.ads.api.exceptions.DAOException`
    Since:
      12.1

  - ### getCatalogsAs

    public String getCatalogsAs(String catalogIds, int fillOptions, String outputFormat)
    Returns the list of catalog objects in the form of JSON for the given catalogIds. Specifying the catalogIds as like JsonArray is mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `catalogIds` - String
      `fillOptions` - int `APIConstants.BGMFillOptions`.
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      12.1

  - ### getCatalogsAs

    public String getCatalogsAs(int parentCatalogId, int fillOptions, String outputFormat)
    Returns the list of catalog objects in the form of JSON for the given parentCatalogId. Specifying the parentCatalogId is mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `parentCatalogId` - int
      `fillOptions` - int `APIConstants.BGMFillOptions`.
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      12.1

  - ### deleteAssetTypeAs

    public String deleteAssetTypeAs(String assetType, String outputFormat)
    Deletes the assetType for the specified assetType object. Specifying the assetTypeId is mandatory in the given object to delete a particular assetType.
    If the assetType is deleted all its associated data will also be deleted.
    If assetType is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Parameters:
      `assetType` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      12.1

  - ### createCatalogsAs

    public String createCatalogsAs(String catalogs, int fillOptions, String outputFormat)
    Creates the list of catalogs for the given catalog objects list. Specifying the catalogName and catalogTypeId in each catalog object are mandatory, while creating the catalogs. To create a sub catalog specifying the parentCatalogId is mandatory.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` Based on the fillOptions value passed the fields(extended properties) are created along with the catalog object. The default integer value for fillOptions is 0(zero).
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `outputFormat` - String - Valid values: JSON or XML
      `catalogs` - String - Valid values: JSON or XML
      `fillOptions` - int `APIConstants.BGMFillOptions`.
    Returns:
      String - If catalogs are created successfully, it will return RequestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'catalogs' JSON :
      [{
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      },
      {
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      },
      ]

    Since:
      12.1

  - ### updateCatalogsAs

    public String updateCatalogsAs(String catalogs, int fillOptions, String outputFormat)
    Updates the list of catalogs for the given catalog objects list i.e in the form of JSONArray. All the information pertaining to the catalogs can be updated.
    Specifying the catalogId and catalogName in each catalog object are mandatory to update the catalogs.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` Based on the fillOptions value passed the fields(extended properties) are updated along with the catalog object. The default integer value for fillOptions is 0(zero).
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `catalogs` - String
      `fillOptions` - int `APIConstants.BGMFillOptions`.
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If catalogs are updated successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'catalogs' JSON :
      [{
      "catalogId": "",
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      },
      {
      "catalogId": "",
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      }
      ]

    Since:
      12.1